@echo off

REM ------------------------------------------------------------------
REM IMPORTANT:
REM
REM change the variable RECDETEC_EXE_DIR 
REM to the correct location of the (installed) RecDetec directory
REM ------------------------------------------------------------------

SET RECDETEC_EXE_DIR=c:\Documents and Settings\USERNAME\Desktop\recdetec-VERSION


REM ------------------------------------------------------------------
REM no changes should be necessary beyond this point
REM ------------------------------------------------------------------

REM
REM location of the jar file
REM

SET RECDETEC_BIN=%RECDETEC_EXE_DIR%\recdetec.jar

REM
REM Check whether the Recdetec jar exists
REM

Echo checking java -jar "%RECDETEC_BIN%"
if NOT EXIST "%RECDETEC_BIN%" goto :sub_error

REM
REM Run Recdetec
REM
REM start java -jar "%RECDETEC_BIN%"
java -jar "%RECDETEC_BIN%"

Echo RecDetec Finished!
pause
Exit /b 0


REM Error handling
:sub_error

  Echo Error: '%RECDETEC_BIN%' does not exist
  Echo        Please correct the RECDETEC_EXE_DIR in recdetec.bat
  pause
  Exit /b 5

